﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
namespace LD20_Game
{
    class ControllerAlertScreen :BaseScene
    {
        bool sceneOver = false;
        public bool SceneFinished { get { return sceneOver; } }

        private TimeSpan timeOver = TimeSpan.MinValue;
        public ControllerAlertScreen() { }

        public override void InitalizeScene()
        {
            
        }

        public override void UpdateScene(Microsoft.Xna.Framework.GameTime gameTime)
        {

            if (timeOver == TimeSpan.MinValue)
                timeOver = gameTime.TotalGameTime + TimeSpan.FromSeconds(4);

            if ((timeOver < gameTime.TotalGameTime) && sceneOver == false)
            {
                sceneOver = true;
                SceneManager.TransitionTo(new GlenGamesScene());
            }

            base.UpdateScene(gameTime);
        }

        public override void DrawScene(Microsoft.Xna.Framework.Graphics.SpriteBatch spriteBatch, Microsoft.Xna.Framework.GameTime gameTime)
        {
            spriteBatch.Begin(SpriteSortMode.Immediate, BlendState.AlphaBlend);
            spriteBatch.Draw(TextureManager.Textures["controller"], Vector2.Zero, Color.White);
            spriteBatch.End();
        }
    }

     
}
